

public class Gueltigkeit1 {

  int i1;

  private void test1() {
    System.out.println("in test1");
    System.out.println("i1: "+i1);
    System.out.println("i2: "+i2);
	 {
     int i1=22;
     System.out.println("  i1: "+i1);
     System.out.println("  i2: "+i2);
    }
     System.out.println("    i1: "+i1);
     System.out.println("    i2: "+i2);
  }

  int i2;

	public static void main(String[] args) {
      Gueltigkeit1 app = new Gueltigkeit1();
      app.i1=33;
      app.i2=44;
      app.test1();
      app.test2();
  } // main

  private void test2() {
    System.out.println("in test2");
    System.out.println("i1: "+i1);
    System.out.println("i2: "+i2);
  }


}

